/*
 * Copyright (c) 2009 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.commons.core;

import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;

/**
 * ReflectionUtils provides
 * 
 * @author Timo Westkamper
 * @version $Id$
 */
public final class ReflectionUtils {

    private ReflectionUtils() {
    }

    public static Type getFirstTypeParameter(Class<?> cl) {
        return ((ParameterizedType) cl.getGenericSuperclass())
                .getActualTypeArguments()[0];
    }


}
