/*
 * Copyright (c) 2009 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.commons.core.collection;

import java.util.Enumeration;
import java.util.Iterator;

/**
 * IteratorAsEnumeration provides
 *
 * @author Timo Westk&auml;mper
 * @version $Id: IteratorAsEnumeration.java 5487 2009-04-24 08:49:46Z tiwe $
 */
public class IteratorAsEnumeration<T> implements Enumeration<T>{

    private final Iterator<T> i;
    
    /**
     * @param i
     */
    public IteratorAsEnumeration(Iterator<T> i){
        this.i = i;
    }
    
    public boolean hasMoreElements() {
        return i.hasNext();
    }
   
    public T nextElement() {
        return i.next();
    }

}
